Uploaded image for project: 'Moodle Community Sites'
  1. Moodle Community Sites
  2. MDLSITE-6340

AMOS: PHP error when marking some strings as up-to-date

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Low
    • Resolution: Duplicate
    • Component/s: lang.moodle.org
    • Labels:
      None

      Description

      After the upgrade of AMOS some outdated strings have appeared on the Basque translation (eu) and I've started reviewing them and seems like I've found a bug: it works fine with most of the strings, but I have found an issue when trying to mark some strings as up-to-date (50 out of more than 800); when I try to mark as them up-to-date them I get this error:

       
      Invalid parameters: original version lower than translation version
      Error code: invalidparameter
      * line 78 of /local/amos/classes/external/make_translation_uptodate.php: invalid_parameter_exception thrown
      * line ? of unknownfile: call to local_amos\external\make_translation_uptodate::execute()
      * line 261 of /lib/externallib.php: call to call_user_func_array()
      * line 81 of /lib/ajax/service.php: call to external_api::call_external_function()

      If you need an example to replicate this, one of these strings is auth_sync_script | core_auth

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              izendegi Iñigo Zendegi
              Participants:
              Component watchers:
              David Mudrák (@mudrd8mz)
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: